package com.mt.wms.core.dal.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.Version;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 窑炉温度监控
 * </p>
 *
 * @author mt
 * @since 2021-09-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("t_par_tem_value")
public class ParTemValue extends Model<ParTemValue> {

    private static final long serialVersionUID = 1L;

      @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 添加时间
     */
    @TableField("create_time")
    private LocalDateTime createTime;

    /**
     * 内部编码，系统自动生成
     */
    @TableField("inter_code")
    private String interCode;

    /**
     * 状态	0初始化，1损坏
     */
    @TableField("status")
    private Integer status;

    /**
     * 窑炉id，关联设备窑炉表：t_kiln_info
     */
    @TableField("kiln_id")
    private Integer kilnId;

    /**
     * 参数id，关联参数表：t_par_info
     */
    @TableField("par_id")
    private Integer parId;

    /**
     * 设定温度值
     */
    @TableField("set_tem_value")
    private Float setTemValue;

    /**
     * 实际温度值
     */
    @TableField("act_tem_value")
    private Float actTemValue;

    /**
     * 油槽实际温度
     */
    @TableField("oil_tank_act_tem_value")
    private Float oilTankActTemValue;

    /**
     * 油槽设定温度
     */
    @TableField("oil_tank_set_tem_value")
    private Float oilTankSetTemValue;

    /**
     * 接受设定温度
     */
    @TableField("take_over_set_tem_value")
    private Float takeOverSetTemValue;

    /**
     * 接受设定油温度
     */
    @TableField("take_over_oil_set_tem_value")
    private Float takeOverOilSetTemValue;

    /**
     * 扩展字段1
     */
    @TableField("add_a")
    private Float addA;

    /**
     * 扩展字段2
     */
    @TableField("add_b")
    private Float addB;

    /**
     * 扩展字段3
     */
    @TableField("add_c")
    private Float addC;

    /**
     * 扩展字段4
     */
    @TableField("orther_a")
    private String ortherA;

    /**
     * 扩展字段5
     */
    @TableField("orther_b")
    private String ortherB;

    /**
     * 扩展字段6
     */
    @TableField("orther_c")
    private String ortherC;


    public static final String ID = "id";

    public static final String CREATE_TIME = "create_time";

    public static final String INTER_CODE = "inter_code";

    public static final String STATUS = "status";

    public static final String KILN_ID = "kiln_id";

    public static final String PAR_ID = "par_id";

    public static final String SET_TEM_VALUE = "set_tem_value";

    public static final String ACT_TEM_VALUE = "act_tem_value";

    public static final String OIL_TANK_ACT_TEM_VALUE = "oil_tank_act_tem_value";

    public static final String OIL_TANK_SET_TEM_VALUE = "oil_tank_set_tem_value";

    public static final String TAKE_OVER_SET_TEM_VALUE = "take_over_set_tem_value";

    public static final String TAKE_OVER_OIL_SET_TEM_VALUE = "take_over_oil_set_tem_value";

    public static final String ADD_A = "add_a";

    public static final String ADD_B = "add_b";

    public static final String ADD_C = "add_c";

    public static final String ORTHER_A = "orther_a";

    public static final String ORTHER_B = "orther_b";

    public static final String ORTHER_C = "orther_c";

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
